Skip to main content
PATCH
Advance a fine-tuning job

Authorizations

Authorization
string
header
required

Dashboard JWT token from Clerk

Path Parameters

agentId
string
required
jobId
string
required

Body

application/json
status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed,
cancelled
Example:

"succeeded"

provider_job_id
string
Example:

"ftjob-abc123"

fine_tuned_model
string

Required when transitioning to succeeded.

Example:

"ft:gpt-4o-mini:acme::abc123"

error
string

Failure reason when transitioning to failed.

model_display_name
string

Display name for the custom model auto-registered on success.

Example:

"Support bot v2 (tuned)"

Response

200 - application/json

The updated job, plus the model auto-registered on success (if any).

data
object
meta
object